import { SimpleLocalIntegration } from '../../core/index.js';
import { BoschAlarmConfigFlow } from './bosch_alarm.classes.configflow.js';
import { createBoschAlarmDiscoveryDescriptor } from './bosch_alarm.discovery.js';
import type { IBoschAlarmConfig } from './bosch_alarm.types.js';
import { boschAlarmDomain, boschAlarmProfile } from './bosch_alarm.types.js';

export class BoschAlarmIntegration extends SimpleLocalIntegration<IBoschAlarmConfig> {
  public readonly domain = boschAlarmDomain;
  public readonly discoveryDescriptor = createBoschAlarmDiscoveryDescriptor();
  public readonly configFlow = new BoschAlarmConfigFlow();

  constructor() {
    super(boschAlarmProfile);
  }
}

export class HomeAssistantBoschAlarmIntegration extends BoschAlarmIntegration {}
